Subject: [I2nsf] minor typos (was RE: WGLC and IPR poll for draft-ietf-i2nsf-sdn-ipsec-flow-protection-04

From: Linda Dunbar <[email-masked]>
Date: Fri, 17 May 2019 23:21:40 +0000

Rafa,

There are some minor typos in -04. Hope you correct them in the new revision:

Page 3: Section 3, 3rd paragraph: “.. and on-demand security network services”
Do you mean “.. and on-demand secure network services”?

Page 6: Section 5.1:  “In this case the NSF ships an IKEv2 implementation..”
Do you mean “In this case the NSF supports an IKEv2..” ?

Page 9, first paragraph: “..this needs to be explore..”
Do you mean “..this needs to be explored”?

Linda

From: Linda Dunbar
Sent: Friday, May 17, 2019 10:39 AM
To: 'Rafa Marin Lopez' <[email-masked]>
Cc: Yoav Nir <[email-masked]>; [email-masked]; Gabriel Lopez <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [I2nsf] WGLC and IPR poll for draft-ietf-i2nsf-sdn-ipsec-flow-protection-04

Rafa,

With regard to Paul Wouters’ related comment that would imply include every number from the IANA protocol registry:  "I think you mean what I would call the "inner protocol" so that it is every number from the IANA protocol registry.”

I suggest we follow the IETF practices for YANG models:
There are many YANG models RFCs literally listed the names of the data types defined by other RFCs. For example: draft-ietf-teas-yang-te-types-09 which I just reviewed as a Gen-Art Directorate.
None of those values are registered to IANA

Those IETF practices tell us that it is not necessary to register those values registered to IANA.
So I suggest you take the “reasonable approach proposed by Yoav (Paul Wouters agreed) and we are agreed”.

There are also many YANG Model RFCs literally list down the protocol values registered in IANA (for example, use “Identity ..” to specify the value).

By the way, if you do want to register to IANA, you can send the following request which can be easily done.

https://www.iana.org/form/protocol-assignment

Cheers,

Linda

From: Rafa Marin Lopez [mailto:[email-masked]]
Sent: Friday, May 17, 2019 4:19 AM
To: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Cc: Rafa Marin Lopez <[email-masked]<mailto:[email-masked]>>; Yoav Nir <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Gabriel Lopez <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [I2nsf] WGLC and IPR poll for draft-ietf-i2nsf-sdn-ipsec-flow-protection-04

Dear Linda, Yoav:

Sorry for the delay in our answer (very busy weeks)

The update is taking longer as expected for several reasons: 1) we have to add and extend many descriptions we have. 2) Moreover Paul Wouters' second review (we are preparing an e-mail for him as well) is long, deserves attention and implies to applies changes.

Finally, 3) it is important to note that, under our point of view, there is no final resolution about what to do with the IANA Registry values related with crypto algorithms. In fact, there is a Paul Wouters’ related comment that would imply include every number from the IANA protocol registry:  "I think you mean what I would call the "inner protocol" so that it is every number from the IANA protocol registry.”

Depending on the resolution of the IANA Registry part , it may imply to add each value in the IANA protocol registry. For us, this is pointless. We think the reasonable approach was proposed by Yoav (Paul Wouters agreed) and we are agreed. The only review we have received from the YANG doctor does not mention anything about this.

Our hope is to have the updated version, assuming 3) takes a “reasonable” solution, at the end of this month (May)

Best Regards.

El 15 may 2019, a las 18:30, Linda Dunbar <[email-masked]<mailto:[email-masked]>> escribió:

Rafa,

Will you upload the revised draft soon? We would like to close the WGLC for this draft.

Thanks, Linda

From: Linda Dunbar
Sent: Thursday, April 18, 2019 9:14 AM
To: 'Rafa Marin-Lopez' <[email-masked]<mailto:[email-masked]>>; Yoav Nir <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: Gabriel Lopez <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [I2nsf] WGLC and IPR poll for draft-ietf-i2nsf-sdn-ipsec-flow-protection-04

Rafa, et al,

Yes, please have the revision to address the comments from YANG doctors.

Linda

From: Rafa Marin-Lopez [mailto:[email-masked]]
Sent: Thursday, April 18, 2019 1:56 AM
To: Linda Dunbar <[email-masked]<mailto:[email-masked]>>; Yoav Nir <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: Rafa Marin-Lopez <[email-masked]<mailto:[email-masked]>>; Gabriel Lopez <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]>
Subject: Fwd: [I2nsf] WGLC and IPR poll for draft-ietf-i2nsf-sdn-ipsec-flow-protection-04

Dear Linda:

Just a short comment. In a previous e-mail, we thought we agreed that we would prepare version 05 *before* the beginning of the WGLC. At least that was your positive answer to our question.

In any case, I guess we can still prepare version 05 with pending comments we received from the last IETF and another aspects we have observed in the model, including YANG doctors’ comments. Correct?

Best Regards

Inicio del mensaje reenviado:

De: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Asunto: [I2nsf] WGLC and IPR poll for draft-ietf-i2nsf-sdn-ipsec-flow-protection-04
Fecha: 17 de abril de 2019, 16:54:13 CEST
Para: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

Hello Working Group,

This email starts a four weeks Working Group Last Call on draft-ietf-i2nsf-sdn-ipsec-flow-protection-04.
This poll runs until May 15, 2019.

Authors: please update the draft per the comments and suggestions from YANG Doctors.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
If you are listed as an Author or a Contributor of this Document please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The Document won't progress without answers from all the Authors and Contributors.

If you are not listed as an Author or a Contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

Thank you.

Yoav & Linda
_______________________________________________
I2nsf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2nsf